   -- Funktion
   -- Specialization for right Function from Plough
   --
   -- Ersteller Börndi
   -- Datum 29/07/12

   Funktion = {};

   function Funktion.prerequisitesPresent(specializations)
       return true;
   end;


   function Funktion:load(xmlFile)
   end;

   function Funktion:delete()
   end;

   function Funktion:mouseEvent(posX, posY, isDown, isUp, button)
   end;

   function Funktion:keyEvent(unicode, sym, modifier, isDown)
   end;

   function Funktion:update(dt)

	if self:getIsActive() then
		for _, part in pairs(self.movingParts) do
			Cylindered.setDirty(self, part);
		end;

		for _, part in pairs(self.movingTools) do
			Cylindered.setDirty(self, part);
		end;
	end;
   end;

   function Funktion:updateTick(dt)
      	setJointFrame(self.componentJoints[2].jointIndex, 0, self.componentJoints[2].jointNode); 
   end;

   function Funktion:draw()
   end;